/**
 * CS E-76: Building Mobile Applications
 * Section: Java Primer
 * TF: Sophie Chang
 * 
 * Sample5.java
 * Description: Method Overloading Example
 * Compilation: javac Sample5.java
 * Execution: java Sample5
 */

/**
 * For purpose of this exercise, assuming shapes can only be triangles or squares
 */
class Shape
{
	int sides;
	int[] sideLengths;
	
	public Shape(int sides, int[] sideLengths)
	{
		this.sides = sides;
		this.sideLengths = sideLengths;
	}
	
	public void setSides(int sides)
	{
		this.sides = sides;
	}
	
	public int getSides(){
		return sides;
	}
	
	public void setSideLengths(int side1, int side2, int side3)
	{
		sideLengths = new int[sides];
		sideLengths[0] = side1;
		sideLengths[1] = side2;
		sideLengths[2] = side3;
	}
	
	public void setSideLengths(int side1, int side2, int side3, int side4)
	{
		sideLengths = new int[sides];
		sideLengths[0] = side1;
		sideLengths[1] = side2;
		sideLengths[2] = side3;
		sideLengths[3] = side4;
	}
	
	public int[] getSideLengths()
	{
		return sideLengths;
	}
	
	public String toString()
	{
		String sidesString = "Number of Sides: "+getSides()+"\n";
		String sideLengthsString = "Side Lengths: ";
		for (int i = 0; i < getSideLengths().length; i++)
		{
			sideLengthsString += getSideLengths()[i];
			sideLengthsString += " ";
		}
		return sidesString+sideLengthsString;
	}
}

public class Sample5 
{
	public static void main(String [] args)
	{
		int[] triangleSides = {3, 4, 5};
		int[] squareSides = {2, 2, 2, 2};
		
		Shape[] shapes = new Shape[2];
		shapes[0] = new Shape(3, triangleSides);
		shapes[1] = new Shape(4, squareSides);
		
		shapes[0].setSideLengths(5, 5, 5);
		shapes[1].setSideLengths(2, 2, 2, 2);
		
		System.out.println("Shape 0:\n"+shapes[0].toString());
		System.out.println("Shape 1:\n"+shapes[1].toString());
	}
}
